## org.codehaus.groovy.grails.commons.metaclass
Interface DynamicConstructor

All Known Implementing Classes:
  AbstractDynamicConstructor

    public interface DynamicConstructor

An interface that defines a dynamic constructor

Since:
  0.2 Date Created: 9th June 2006
Author:
  Graeme Rocher

Method Summary
`Object` `invoke(Class clazz, Object[] args)` Invokes the dynamic constructor
`boolean` `isArgumentsMatch(Object[] args)` Test whether the specified arguments match this constructor

Method Detail

### isArgumentsMatch

    boolean isArgumentsMatch(Object[] args)

  Test whether the specified arguments match this constructor

  Parameters:
    `args` - The arguments to check
  Returns:
    True if the arguments match

### invoke

    Object invoke(Class clazz,
                  Object[] args)

  Invokes the dynamic constructor

  Parameters:
    `clazz` - The actual class
    `args` - The arguments
  Returns:
    The returned instance

Copyright (c) 2005-2009 The Grails project